Bug 855990 - stickshift-proxy is failed after reload on Fedora 17 and later
stickshift-proxy is failed after reload on Fedora 17 and later
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Unspecified
high Severity high
: ---
: ---
Assigned To: Rob Millner
libra bugs
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-10 17:12 EDT by Rob Millner
Modified: 2015-05-14 18:59 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-17 17:28:58 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rob Millner 2012-09-10 17:12:36 EDT
Description of problem:
After updating the proxy configuration, a service reload on stickshift-proxy causes the service to show as failed and systemd to terminate the haproxy daemon.

The underlying issue is that systemd is confused by the daemon changing PIDs on reload.

Version-Release number of selected component (if applicable):
Fedora 17 and later.

How reproducible:
Always on affected Fedoras

Steps to Reproduce:
1. systemctl status stickshift-proxy.service
2. systemctl reload stickshift-proxy.service
3. systemctl status stickshift-proxy.service
  
Actual results:
Service shows up as failed and is terminated

Expected results:
Service properly reloads and is not terminated.

Additional info:
Comment 1 Rob Millner 2012-09-10 17:16:56 EDT
See Bug 721375 ; A similar issue was discovered with sshd and the resolution was to treat sshd as a "simple" service that does not fork into the background.
Comment 2 Rob Millner 2012-09-10 17:19:16 EDT
The PID file is no longer updated when haproxy is not run in daemon mode.  Our procedures assuming it should change appropriately.
Comment 3 Rob Millner 2012-09-11 16:57:58 EDT
The following pull request creates a wrapper script for LSB compliance.

https://github.com/openshift/crankcase/pull/474
Comment 4 Rob Millner 2012-09-12 13:17:14 EDT
Pull request accepted.

Note You need to log in before you can comment on or make changes to this bug.